{% extends "base.html" %}

{% block scripts %}

<!--- Analytics code -->

<script src="https://analytics.gugulet.hu/api/script.js" data-site-id="1" data-web-vitals="true" defer></script>

{{ super() }}

<!-- Add meta tag to allow coollabs as a font source -->
<meta http-equiv="Content-Security-Policy" content="font-src 'self' https://api.fonts.coollabs.io;">

<!-- Script to protect content on the website -->
<script>
     // Prevent right-click context menu
     document.addEventListener('contextmenu', function (e) {
          e.preventDefault();
     });

     // Prevent text selection
     document.addEventListener('selectstart', function (e) {
          e.preventDefault();
     });

     // Block Ctrl+C and other keyboard shortcuts for copying
     document.addEventListener('keydown', function (e) {
          if (e.ctrlKey && e.key === 'c') { // Blocks Ctrl+C
               e.preventDefault();
          }
          if (e.ctrlKey && e.shiftKey && e.key === 'v') { // Blocks Ctrl+Shift+V
               e.preventDefault();
          }
     });

     // Additional measures for image protection
     document.addEventListener('contextmenu', function (e) {
          if (e.target.tagName.toLowerCase() === 'img') {
               e.preventDefault();
          }
     });
</script>

{% endblock %}
